package com.gzicloud.industry.client.export.controller;

import com.gzicloud.industry.client.facade.service.IAcrossService;
import com.gzicloud.industry.client.facade.service.ITestService;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/test")
public class TestController {

    @DubboReference
    private ITestService resumeService;

    @DubboReference
    private IAcrossService acrossService;

    @GetMapping("/simple")
    public String simple(String id) {
        return resumeService.test(Long.valueOf(id));
    }

    @GetMapping("/simple1")
    public String simple1(String id) {
        return "测试：" + id;
    }

    @GetMapping("/across")
    public String across(String id) {
        return acrossService.acrossServer(Long.valueOf(id));
    }

}
